# Updates a billing run action with the specified ID. This method will update an existing billing run action with the specified ID. Endpoint: PUT /billingRunActions/{tenantId}/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `id` (string, required) The ID of the billing run action to update. ## Request fields (application/json): - `billing_notice_id` (string, required) The billing notice - `billing_run_id` (string, required) The billing run ID - `candidate_id` (string, required) The candidate to which this action is linked - `candidate_service` (string, required) The service of the candidate - `city` (string) The member city - `contact_id` (string, required) - `contact_name` (string) The name of the contact - `country` (string) The member country - `customer_id` (string, required) The contact or organization ID - `customer_type` (string, required) Enum: "contact", "organization" - `date` (string, required) The applicable date - `email_address` (string) The member's email address - `error_message` (string) The error message - `error_stack` (string) A detailed error message with stack trace - `execution_arn` (string) If tied to a step function, the execution ARN - `failed_billing_notice_id` (string) The notice to send when processing fails - `first_name` (string) The member's first name - `id` (string, required) The unique, string identifier of this billing run action - `installment_schedule_id` (string, required) The installment schedule ID - `invoice_id` (string, required) The invoice ID affected by this action - `job_title` (string) The member job title - `last_name` (string) The member's last name - `last_refresh_date` (string) The date this action was last refreshed - `name` (string, required) Name of the membership - `order_id` (string, required) The order ID affected by this action - `organization_id` (string, required) - `organization_name` (string) The name of the organization - `outcome_of_last_refresh` (string) Describes what happened to this action the last time this billing run was refreshed Enum: "added", "no change", "removed" - `state` (string) The state - `status` (string, required) The status of this action Enum: "completed", "error", "excluded", "expiration date changed", "no longer eligible", "payment failure", "pending", "processing", "processing order" - `step_function_execution_arn` (string) The step function arn - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `type` (string, required) Enum: "cancel installment schedule", "installment schedule reminder", "process installment schedule", "remind expiring credit card", "send statement" ## Response 200 fields (application/json): - `billing_notice_id` (string, required) The billing notice - `billing_run_id` (string, required) The billing run ID - `candidate_id` (string, required) The candidate to which this action is linked - `candidate_service` (string, required) The service of the candidate - `city` (string) The member city - `contact_id` (string, required) - `contact_name` (string) The name of the contact - `country` (string) The member country - `customer_id` (string, required) The contact or organization ID - `customer_type` (string, required) Enum: "contact", "organization" - `date` (string, required) The applicable date - `email_address` (string) The member's email address - `error_message` (string) The error message - `error_stack` (string) A detailed error message with stack trace - `execution_arn` (string) If tied to a step function, the execution ARN - `failed_billing_notice_id` (string) The notice to send when processing fails - `first_name` (string) The member's first name - `id` (string, required) The unique, string identifier of this billing run action - `installment_schedule_id` (string, required) The installment schedule ID - `invoice_id` (string, required) The invoice ID affected by this action - `job_title` (string) The member job title - `last_name` (string) The member's last name - `last_refresh_date` (string) The date this action was last refreshed - `name` (string, required) Name of the membership - `order_id` (string, required) The order ID affected by this action - `organization_id` (string, required) - `organization_name` (string) The name of the organization - `outcome_of_last_refresh` (string) Describes what happened to this action the last time this billing run was refreshed Enum: "added", "no change", "removed" - `state` (string) The state - `status` (string, required) The status of this action Enum: "completed", "error", "excluded", "expiration date changed", "no longer eligible", "payment failure", "pending", "processing", "processing order" - `step_function_execution_arn` (string) The step function arn - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `type` (string, required) Enum: "cancel installment schedule", "installment schedule reminder", "process installment schedule", "remind expiring credit card", "send statement" ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields